HttpMessage::getType
HttpMessage::prepend
The HttpMessage class
PHP Manual

# HttpMessage::guessContentType

(PECL pecl_http >= 1.0.0)

HttpMessage::guessContentType — Guess content type

### Description

public string HttpMessage::guessContentType ( string `$magic_file` [, int `$magic_mode` = MAGIC_MIME ] )

Attempts to guess the content type of the message body through libmagic.

### Parameters

`magic_file`

  the magic.mime database to use

`magic_mode`

  flags for libmagic

### Return Values

Returns the guessed content type on success or `FALSE` on failure.

### Errors/Exceptions

Throws HttpRuntimeException, HttpInvalidParamException.

HttpMessage::getType
HttpMessage::prepend
The HttpMessage class
PHP Manual